/***** RButtonVars.h -- ButtonCellCover variable holder object interface
	NeXTstep Measurement Kit
	by Alex Meyer <ameyer@phoenix.Princeton.EDU>
	for computer science senior thesis
	24 April 1992 -- created to hold variables for ButtonCellCover
*****/

#import "TranscriptLinker.h"
#import "structs.h"
#import <objc/Object.h>

@interface RButtonVars : Object
{
	id linker;
	NXAtom key;
	double lastHitTime;
	rButtonRec stats;
}

- initString:(const char *)str
	tag:(int)tg
	rect:(const NXRect *)rect;
- incHits;
- incCancel;
- timeFrom:(double)time0
	to:(double)time1;
- (unsigned)type;
- (NXAtom)key;
- (NXAtom)desc;
- (unsigned)statsSize;
- (void *)copyOfStats;
- copyInStats:(void *)NewStats;

@end
